maxkcut {sdpt3r} | R Documentation

## Max-kCut Problem

### Description

`maxkcut` creates input for sqlp to solve the Max-kCut Problem - given a graph object B, determine if a cut of at least size k exists.

### Usage

    maxkcut(B, K)

### Arguments

`B` | A (weighted) adjacency matrix
`K` | An integer value, the minimum number of cuts in B

### Details

Determines if a cut of at least size k exists for a graph B. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Bmaxkcut)

    out <- maxkcut(Bmaxkcut,2)

[Package sdpt3r version 0.3 Index]